org.eclipse.gef.mvc.fx.providers

## Interface IAnchorProvider

All Known Implementing Classes:
  DefaultAnchorProvider

    public interface IAnchorProvider

The `IAnchorProvider` can provide an `IAnchor` for an anchorage part depending on a given anchored `IVisualPart` and a corresponding role (see `get(IVisualPart, String)` for details).

### Method Summary

All Methods Instance Methods Abstract Methods
`IAnchor` `get(IVisualPart<? extends Node> anchoredPart, String role)` Returns an `IAnchor` that should be used to provide a position for the given anchored `IVisualPart` and the given role.

### Method Detail

#### get

    IAnchor get(IVisualPart<? extends Node> anchoredPart,
                String role)

Returns an `IAnchor` that should be used to provide a position for the given anchored `IVisualPart` and the given role.

Parameters:
  `anchoredPart` - The anchored `IVisualPart` which the returned `IAnchor` should provide a position for.
  `role` - The role which the returned `IAnchor` should provide a position for.
Returns:
  An `IAnchor` that should be used to provide a position for the given anchored `IVisualPart` and the given role.